summaryrefslogtreecommitdiff
path: root/build_others
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-14 12:57:12 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-14 12:57:12 +0000
commitf82c9449951c75bd5d9f7083c8683ddd15121738 (patch)
treeba88f6c289d0bcf56c1676983a13809cf00fe1ca /build_others
parentd7b5493f488e7c7f696bc6815fea06a9f7a6695f (diff)
Various improvements
- Don't remove r-base-*.deb files when cleaning sources - Use ./build [options] sourcepackage instead of build*.sh - Use ./build_others [options] instead of build_others.sh - Use ./clean [squeeze|wheezy|jessie] instead of clean.sh - Improve comment in backport_others script - Use ./move_debs instead of move_*.sh git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@117 f247ebf9-aa24-0410-a698-f940e971ad2b
Diffstat (limited to 'build_others')
-rw-r--r--build_others48
1 files changed, 48 insertions, 0 deletions
diff --git a/build_others b/build_others
new file mode 100644
index 0000000..8f69203
--- /dev/null
+++ b/build_others
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+usage()
+{
+echo "Usage: ./build_others [options]"
+echo "Options:"
+echo " -s Skip apt-get update/upgrade"
+}
+
+# Loop over options
+skip=false
+while test -n "${1}"; do
+ case "$1" in
+ -s | --skip)
+ skip=true
+ shift
+ ;;
+ -*)
+ echo "Error: Unknown option: $1" >&2
+ usage
+ exit 1
+ ;;
+ *) # No more options
+ break
+ ;;
+ esac
+done
+
+# Update apt
+if [ "$skip" = false ]
+then
+ apt-get update
+ apt-get upgrade
+fi
+
+# When doing a new repository, lattice, r-cran-mass and survival have to be
+# built first, then nlme and rmatrix, then the rest
+
+# squeeze/wheezy/jessie
+#for i in lattice r-cran-mass survival; do
+#for i in nlme rmatrix; do
+#for i in cluster foreign r-cran-class r-cran-spatial r-cran-nnet kernsmooth mgcv rodbc rpart littler rpy rpy2 rkward r-cran-rjags; do
+for i in lattice rmatrix nlme cluster foreign r-cran-class r-cran-spatial r-cran-nnet r-cran-mass kernsmooth mgcv rodbc rpart survival littler rpy rkward r-cran-rjags
+do
+ ./build -s $i
+done

Contact - Imprint